/*================================================================================
	Item Name: Olympiac - Vuejs, HTML & Laravel Admin Dashboard Template
	Version: 2.0
	Author: PIXINVENT
	Author URL: http://www.themeforest.net/user/pixinvent
================================================================================

NOTE:
------
PLACE HERE YOUR OWN SCSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */
.select2-container--default .select2-selection--single .select2-selection__arrow b {
	display: none !important;
}
.text-primary {
	color: #007EA8 !important;
}
.text-color-succes {
	color: #00B78A !important;
}
.text-color-danger {
	color: #C24B63 !important;
}
.tamaño { 
	width: 102px;
}
.list-group .list-group-item-action.active .text-primary {
	color: white !important;
}
.nav-item .list-group-item-action.active .text-primary {
	color: white !important;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    display: none !important;
}
.bootstrap-touchspin.input-group {
    width: unset !important;
}
.h-300 {
	display: block;
	height: 100%;
	max-height: 390px;
	overflow: auto;
}

body::-webkit-scrollbar {
	background: rgb(233, 233, 233);
	width: 8px;
	height: 5px;
	transition: .3s ease all;
}
body::-webkit-scrollbar-thumb {
	background: #aaa;
	border-radius: 6px;
	height: 5px;
	transition: .3s ease all;
}
.h-300::-webkit-scrollbar {
	background: rgb(233, 233, 233);
	width: 8px;
	height: 60px;
	transition: .3s ease all;
}
.h-300::-webkit-scrollbar-thumb {
	background: #aaa;
	border-radius: 6px;
	height: 60px;
	transition: .3s ease all;
}
.h-400 {
	position: relative;
	display: block;
	height: 100%;
	max-height: 450px;
	overflow: auto;
	transition: .3s ease all;
}
.h-400::-webkit-scrollbar {
	width: 11px;
	border-radius: 6px;
}

.h-400::-webkit-scrollbar-thumb {
	height: 100px !important;
	border-radius: 4px;
	background-color: #aaa;
}
.h-400::-webkit-scrollbar-thumb:hover {
	background-color: #999;
}
.h-400::-webkit-scrollbar-track {
    background: #e1e1e1;
    border-radius: 4px;
}

/* ESTILOS DE BANNER */
.access-banner {
    background-color: black;
    padding: 20px;
    color: white;
   
  }
  
  .access-banner p {
    font-size: 18px;
    font-weight: bold;
  }
  h1 {
    text-align: center;
  }
  
  .options {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
  }
  
  .option {
    width: 48%;
    background-color: #ffffff;
    padding: 20px;
    border-radius: 5px;
  }
  
  .option h2 {
    font-size: 20px;
    margin-bottom: 20px;
  }
  
  .option p {
    font-size: 16px;
  }
  
  .option-Box {
    padding-right: 80px;
  }
/* Estilos de los enlaces */

  .toggle-link {
    border: none;
    background: none;
    color: #007EA8;
    text-decoration: underline;
    cursor: pointer;
  }
   
  a {
    color: #007EA8;
  }
  
  
  
  #show-link{
	background-color: #007bff;
    border: 2px solid #007bff;
    border-radius: 7px;
    padding: 3px 7px;
    cursor: pointer;
    display:block;
    width:fit-content;
	color: inherit;
  }
  
  
  .reducir{
	font-size: 0.9rem;
	padding-bottom: 0.5rem;
	
  }

  .titulo-opcion{
	font-size: 1.2rem;
	
  }

  .card .subtitulo{
	font-size: 1rem;
  }
  
  .divPin{
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	width: fit-content;
	gap: 4rem;
	padding: 0;
	margin: 0;
  }
  
  .tituloPrincipal{
	text-align: center;
	font-size: 1.4rem;
  }

  
  #pinContainer{
	color: turquoise;
	font-weight: 700;
	letter-spacing: 0.5rem;
	padding: 0;
	
  }

  
  .cvbCVB{
	text-align: justify;
  }

  
  .download-button{
	background-color: #007bff;
	color: #fff; 
	border: 2px solid #007bff;
	border-radius: 4px; 
	padding: 3px 7px;
	margin: 20px auto 0 auto;
	cursor: pointer

  }
  .noMargin{
	margin: 0;
}

.contenedorOptions{
	display: flex; 
	justify-content:  space-between; 
	gap:30px; 
	margin-top: 20px;
	flex-direction: row;
}

.distribuir{
	display: flex;
	flex-direction: column;
	justify-content: space-between;

}

 

@media (max-width: 700px){
	.contenedorOptions{
		flex-direction: column;
}
}


  @media (min-width: 992px) {

	.h-150 {
		display: block;
		height: 100%;
		max-height: 263px;
		overflow: auto;
	}
}

/*  COLORS EVENTS */
.badge-azul-oscuro, .bg-light-azul-oscuro {
	border: unset !important;
	background: rgba(1, 15, 204, 0.308) !important;
	color: #010fcc !important;
}
.fc-timegrid-event.bg-light-predeterminado {
	color: #ffffff !important;
}
.badge-marron, .bg-light-marron {
	border: unset !important;
	background: rgba(204, 48, 1, 0.26) !important;
	color: #cc3001 !important;
}
.badge-morado, .bg-light-morado {
	border: unset !important;
	background: rgba(180, 1, 204, 0.158) !important;
	color: #b401cc !important;
}
.badge-rosado, .bg-light-rosado {
	border: unset !important;
	background: rgba(255, 28, 115, 0.349) !important;
	color: rgb(243, 0, 93) !important;
}
.badge-rosado-pastel, .bg-light-rosado-pastel {
	border: unset !important;
	background: #f7accf4b !important;
	color: #fc77b5 !important;
}
.badge-gris-cancelado, .bg-light-gris-cancelado {
	border: unset !important;
	background: #5f5f5f4b !important;
	color: #646464 !important;
}
.badge-naranja, .bg-light-naranja {
	border: unset !important;
	background: rgba(255, 102, 0, 0.295) !important;
	color: #ff3c00 !important;
}
.badge-verde-oscuro, .bg-light-verde-oscuro {
	border: unset !important;
	background: rgba(22, 126, 13, 0.281) !important;
	color: #167e0d !important;
}
.dz-preview.dz-processing.dz-image-preview.dz-success.dz-complete {
	display: flex !important;
	align-items: center !important;
	justify-content: center !important;
}
.dz-image {
	position: relative !important;
}
.dropzone {
	padding: 0 !important;
}
.dropzone .dz-preview .dz-image img {
    display: block;
    object-fit: cover;
	width: 100%;
	height: 100%;
}
.dropzone .dz-preview .dz-image {
	width: 100%;
	height: 100%;
    max-width: 160px;
    max-height: 160px;
}
/*  BG SOLID EVENTS */
.bg-azul-oscuro {
	background: #010fcc !important;
}
.bg-marron {
	background: #5a352a !important;
}
.bg-morado {
	background: #b401cc !important;
}
.bg-rosado {
	background: #ff1c73 !important;
}
.bg-light-rosado-pastel {
	background: rgba(247, 172, 207, 0.12) !important;
}
.bg-rosado-pastel {
	background: #f7accf !important;
}
.bg-gris-cancelado {
	background: #646464 !important;
}
.bg-naranja {
	background: #ff6600 !important;
}
.bg-verde-oscuro {
	background: #167e0d !important;
}
.nav-item.active .text-secondary {
	color: white !important;
}
.app-content.authPage {
	padding: 0 !important;
}
/*  COLORS EVENTS */
.text-azul-oscuro {
	color: #010fcc !important;
}
.text-marron {
	color: #cc3001 !important;
}
.text-morado {
	color: #b401cc !important;
}
.text-rosado {
	color: rgb(243, 0, 93) !important;
}
.text-rosado-pastel {
	color: #fc77b5 !important;
}
.text-naranja {
	color: #ff3c00 !important;
}
.text-verde-oscuro {
	color: #167e0d !important;
}
.accesoAppBg {
	position: relative;
	background-image: url(../../app-assets/images/main-banner.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}
.accesoAppBg::before {
	position: absolute;
	content: '';
	z-index: 0;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.753);
}
.form-control.inputPers {
	background: unset;
	border: 2px solid white;
	color: white;
	text-align: center;
}
.bg-purple {
	background-color: #723ec5 !important;
}
.badge-light-purple {
	color: #723ec5 !important;
	background-color: rgb(114, 62, 197, .20) !important;
}

.text-purple {
	color: #723ec5 !important;
}

.bg-orange {
	background-color: #ffc700 !important;
}
.text-orange {
	color: #ffc700 !important;
}

@media (min-width: 992px) {
	.order-lg-2 form {
		overflow-y: auto;
		max-height: 100vh;
	}
}
/*.auth-img {
	height: 140vh !important;
}*/

.basic-toast {
	opacity: 0;
	transform: translateY(-10px);
	transition: .3s ease all;
}

.basic-toast.show {
	z-index: 1030;
	opacity: 1;
	transform: translateY(0);
}
.toast:not(.show) {
    display: block;
	z-index: -1;
}
.card-developer-meetup.bg-primary .bg-secondary {
	background: rgba(126, 122, 122, 0.644) !important;

}

.fc .fc-more-popover .fc-popover-body {
    min-width: 220px;
    padding: 10px;
    max-height: 280px;
    overflow: auto;
}
.fc .fc-more-popover .fc-popover-body::-webkit-scrollbar {
	background: rgb(233, 233, 233);
	width: 8px;
	height: 60px;
	transition: .3s ease all;
}
.fc .fc-more-popover .fc-popover-body::-webkit-scrollbar-thumb {
	background: #aaa;
	border-radius: 6px;
	height: 60px;
	transition: .3s ease all;
}

.custom-option-item-check:checked + .custom-option-item {
    color: #007EA8;
    background-color: rgb(0, 126, 168, 0.1);
    border-color: #007EA8;
}
.carouselProfile .carousel-item .img-fluid, .dashboardCarousel .carousel-item .img-fluid {
	display: block;
	height: 300px;
	width: 100%;
	object-fit: cover;
	border-radius: 4px;
}
#containerVideo {
	display: block;
	width: 100%;
	height: 450px;
}
#containerVideo iframe {
	display: block;
	width: 100%;
	height: 450px;
}

@media (min-width: 1200px) {
	#pagosModal .modal-xl, #addPago .modal-xl {
		max-width: 1200px !important;
		margin: auto;
	}
}

.h-250 {
	display: block;
	height: 100%;
	max-height: 200px;
	overflow: auto;
}
.h-250::-webkit-scrollbar {
	background: rgb(233, 233, 233);
	width: 8px;
	height: 60px;
	transition: .3s ease all;
}
.h-250::-webkit-scrollbar-thumb {
	background: #aaa;
	border-radius: 6px;
	height: 60px;
	transition: .3s ease all;
}

.drop-container:hover {
    background: #723ec517 !important;
    border-color: #723ec5 !important;
}
.drop-container:hover .drop-title {
	color: #723ec5 !important;
}
.drop-container.drop-container-hover {
	border-color: #723ec5 !important;
	background: #723ec517 !important;
}
.drop-container.drop-container-hover .drop-title {
	color: #723ec5 !important;
}

.custom-div {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 1rem;
}

/* FORGOT STYLES */
.contenedor-forgot{
	width:100vw;
	height:100vh;
}

.banner-forgot{
	position:fixed;
	top:0;
	height: 100vh;
	width:50vw;
	background-image: url("../../app-assets/images/pages/forgot.jpg");
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;

}

.contenido-forgot{
	position:absolute;
	display:flex;
	flex-direction: column;
	justify-content: center;
	margin: auto;
	height: 100vh;
	padding: 4rem;
	left:50vw;
	top:0;
	width: 50vw;
}

.titulo-forgot{
	font-size: 1.714rem;font-family: inherit;
    font-weight: 500;
    line-height: 1.2;
    color: #5e5873;
	margin-bottom: 2rem;
}

.descripcion-forgot{
	margin-bottom: 2rem
}

.form-control.small{
	width:30rem;
	margin-bottom: 2rem;
}

.forgotButton{
	border: 1px solid transparent;
    padding: 0.5rem 1.3rem;
    font-size: 1rem;
    border-radius: 0.358rem;
	width:15rem;
}

.mensaje{
	font-weight: 600;
}

@media (max-width:1000px){
	.contenedor-forgot{
	display:flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

	.banner-forgot{
		position:relative;
		top:0;
		left: 0;
		height: 30rem;
		width: 100vw;
	}

	.contenido-forgot{
		position:relative;
		width: 100vw;
		left:0;
	}

}

#cardEjercicios {
	transition: .3s ease all;
}
#cardEjercicios.animated {
	animation: startAniamate 1s ease alternate;
}

@keyframes startAniamate {
	0% {
		transform: scale(1);
	} 50% {
		transform: scale(0.80);
	} 100% {
		transform: scale(1);
	}
}

.shepherd-header {
	background-color: rgba(0,116,168,1) !important;
}
.shepherd-header h3 {
	color: white !important;
}
.shepherd-header button {
    padding: 0.5rem;
    line-height: 0.5;
	background-color: white !important;
	display: inline-block;
	color: #6e6b7b;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
	user-select: none;
	font-size: 1.5rem;
	border-radius: 0.358rem;
}
.shepherd-element.shepherd-has-title[data-popper-placement^=bottom]>.shepherd-arrow:before {
	background-color: rgba(0,116,168,1) !important;
}
.shepherd-button {
	background-color: rgba(0,116,168,1) !important;
}

/* @media (max-width: 1035) {
	.vm-mt-2 {
		margin-top: 2rem !important;
	}
} */

@media (max-width: 768px) { 
	.vm-mt-1 {
		margin-top: 1rem !important;
	}

	.vm-mt-2 {
		margin-top: 2rem !important;
	}
}

.form-check-invert {
	padding-right: 1.785rem !important;
	padding-left: 0 !important;
}

.form-check-invert .form-check-input {
	float: right !important;
	margin-right: -1.785rem !important;
	margin-left: 0 !important;
}

@media (min-width: 768px) {
  .row.divided > .col-md-6:nth-child(2),
	.row.divided > .col-md-6:nth-child(3) {
    border-left: 1px solid var(--bs-border-color, #dee2e6);
  }
}

/* .permissions-sep-item {
	position: relative;
}

.permissions-sep > .permissions-sep-item:not(:last-child)::after {
	content: '';
	width: 1px;
	background-color: #b9b9c3 ;
	display: inline-block;
	margin: 0 13px;
	top: 0;
	right: 0;
	height: 100%;
	position: absolute;
} */


.menu-whatsapp-btn {
	margin-right: .5rem !important;
}

/* MENU FIXEDS */
@media (max-width: 992px) {
	.menu-whatsapp-btn .btn,
	.menu-puertas-btn {
		padding: 0 !important;
		color: inherit !important;
		border: none !important;
		border-radius: 0 !important;
	}

	.menu-whatsapp-btn .btn,
	.menu-puertas-btn {
		background-color: transparent !important;
	}

	.menu-puertas-btn svg {
		width: 19px !important;
		height: 19px !important;
	}

	.header-navbar .nav-link {
		padding: 0 0.25rem !important;
	}
}

.ql-toolbar.ql-snow {
	border: 2px solid #ccc !important;
}
.ql-container.ql-snow {
	border: 2px solid #ccc !important;
}

.list-group-item {
	border: 1px solid rgba(34, 41, 47, 0.125) !important;
}



.mb-2.position-relative {
  position: relative;
}


.btn-float-wrapper {
  /* position: absolute;
  bottom: -42px;  
  right: 1px;    */
  display: flex;
  align-items: center;
  gap: 8px;
}


.btn-float-wrapper-offcanva {
  position: absolute;
  bottom: 1rem;  
  right: 1rem;
  display: flex;
  align-items: center;
  gap: 8px;
}

.btn-float {
  border-radius: 18% !important;
  width: 45px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  z-index: 10;
  position: static;
}


.btn-float-text {
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s;
  white-space: nowrap;
  margin-left: 8px;
  position: static;
}

.btn-float-wrapper:hover .btn-float-text,
.btn-float:focus + .btn-float-text, .btn-float-wrapper-offcanva:hover .btn-float-text {
  opacity: 1;
  pointer-events: auto;
}

.w-90 {
	width: 90% !important;
}

@media (min-width: 992px) {
	.hide-desktop {
		display: none !important;
	}
	.hide-movil {
		display: block !important;
	}
}
@media (max-width: 991px) {
	.hide-desktop {
		display: block !important;
	}
	.hide-movil {
		display: none !important;
	}
}
